Skip to main content
POST
/
api
/
run
curl -X POST https://api.artificialstudio.ai/api/run \
  -H "Content-Type: application/json" \
  -H "Authorization: YOUR_API_KEY" \
  -d '{
    "tool": "edit-image",
    "input": {
      "model": "nano-banana-2-edit",
      "prompt": "Change the background to a tropical beach",
      "image_urls": ["https://example.com/my-photo.jpg"]
    }
  }'
{
  "id": "507f1f77bcf86cd799439011",
  "status": "processing",
  "tool": "edit-image",
  "createdAt": "2024-01-15T10:30:00.000Z"
}
Credits16 credits
Tooledit-image

Headers

NameTypeRequiredDescription
AuthorizationstringYesYour API key
Content-TypestringYesapplication/json

Body

ParameterTypeRequiredDescription
toolstringYesedit-image
input.modelstringYesnano-banana-2-edit
input.promptstringYesDescription of the edit to apply
input.image_urlsstring[]YesArray of image URLs to edit (1-5 images)
input.aspect_ratiostringNoAspect ratio. Options: auto, 1:1, 16:9, 9:16, 4:3, 3:4, 3:2, 2:3, 21:9 (default: auto)
curl -X POST https://api.artificialstudio.ai/api/run \
  -H "Content-Type: application/json" \
  -H "Authorization: YOUR_API_KEY" \
  -d '{
    "tool": "edit-image",
    "input": {
      "model": "nano-banana-2-edit",
      "prompt": "Change the background to a tropical beach",
      "image_urls": ["https://example.com/my-photo.jpg"]
    }
  }'
{
  "id": "507f1f77bcf86cd799439011",
  "status": "processing",
  "tool": "edit-image",
  "createdAt": "2024-01-15T10:30:00.000Z"
}